{% extends 'base.html.twig' %}
{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>Genus List</h1>

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Genus</th>
                        <th># of species</th>
                        <th>Last updated</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for genus in genuses %}
                        <tr>
                            <td>
                                <a href="{{ path('genus_show', {'genusName': genus.name}) }}">
                                    {{ genus.name }}
                                </a>
                            </td>
                            <td>{{ genus.speciesCount }}</td>
                            <td>{{ genus.firstDiscoveredAt | date('Y-m-d') }}</td>
                            <td>
                                <a href="{{ path('admin_genus_edit', {'id': genus.id}) }}" class="btn btn-xs btn-success"><span class="fa fa-pencil"></span></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}